Bug 100936 - Firstboot runs with "no mouse"
Summary: Firstboot runs with "no mouse"
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: firstboot (Show other bugs)
(Show other bugs)
Version: beta1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-27 16:57 UTC by Alan Cox
Modified: 2007-04-18 16:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 18:28:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2003-07-27 16:57:46 UTC
Description of problem:

Install selecting "no mouse"
First boot runs.

Comment 1 Brent Fox 2003-07-28 15:53:34 UTC
What's the bug?  Firstboot should already be keyboard friendly.

Comment 2 Alan Cox 2003-07-28 16:56:28 UTC
If you are an alt-key contortionist and deeply familiar with the key shortcuts
yes. If you are a normal user I suspect not.


Comment 3 Brent Fox 2003-07-28 18:28:23 UTC
"Normal users" have a mouse on their system.  ;)

Seriously though, I could make firstboot not run if no mouse is configured, but
I don't know what that would accomplish.  gdm would still launch, and the
desktop would still start once the user logs in.  Trying to navigate the desktop
without a mouse is more difficult than navigating firstboot without a mouse. 
Plus, it's not at all obvious to the user that selecting "No mouse" also means
"No setup wizard"

Computers without mice are a non-standard configuration.  That's why "Custom"
mode exists in anaconda so you can choose to use a text login ("Server" mode
provides this option too) so that firstboot, gdm, etc. can be avoided.  Also,
firstboot will be skipped by default on kickstart installs unless otherwise
specified.



Comment 4 Alan Cox 2003-07-28 19:04:52 UTC
Good point. Ok


Comment 5 Traxtopel 2003-11-21 20:40:32 UTC
I have seen this same issue on an IBM Thinkpad T23. Does anyone
want extra information.

I am using fedora-core 1


Note You need to log in before you can comment on or make changes to this bug.